X2Go Bug report logs - #145
Makefile uses broken substitution

version graph

Package: nx-libs; Maintainer for nx-libs is X2Go Developers <x2go-dev@lists.x2go.org>;

Reported by: Jan Engelhardt <jengelh@inai.de>

Date: Sun, 17 Mar 2013 12:33:01 UTC

Severity: normal

Tags: patch, pending

Found in version 3.5.0.17

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#145; Package nx-libs. (Sun, 17 Mar 2013 12:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sun, 17 Mar 2013 12:33:01 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Jan Engelhardt <jengelh@inai.de>
To: submit@bugs.x2go.org
Subject: Makefile uses broken substitution
Date: Sun, 17 Mar 2013 13:21:38 +0100 (CET)
[Message part 1 (text/plain, inline)]
Package: nx-libs
Version: 3.5.0.17

Can't use ${x//...}
[nxinstall.diff (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#145; Package nx-libs. (Fri, 22 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Message #10 received at 145@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>, 145@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#145: Makefile uses broken substitution
Date: Fri, 22 Mar 2013 22:35:57 +0100
[Message part 1 (text/plain, inline)]
tag #145 pending
tag #145 patch
thanks

Hi Jan,

On So 17 Mär 2013 13:21:38 CET Jan Engelhardt wrote:

> Package: nx-libs
> Version: 3.5.0.17
>
> Can't use ${x//...}
>

the provided patch has been worked in:
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=8f151d797b015b7d1070151e75d56587a7f3652f

Thanks!
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Fri, 22 Mar 2013 21:48:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#145; Package nx-libs. (Fri, 22 Mar 2013 22:03:01 GMT) (full text, mbox, link).


Acknowledgement sent to Jan Engelhardt <jengelh@inai.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Mar 2013 22:03:01 GMT) (full text, mbox, link).


Message #19 received at 145@bugs.x2go.org (full text, mbox, reply):

From: Jan Engelhardt <jengelh@inai.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 145@bugs.x2go.org, control@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#145: Makefile uses broken substitution
Date: Fri, 22 Mar 2013 22:43:56 +0100 (CET)
On Friday 2013-03-22 22:35, Mike Gabriel wrote:
> On So 17 Mär 2013 13:21:38 CET Jan Engelhardt wrote:
>
>> Package: nx-libs
>> Version: 3.5.0.17
>>
>> Can't use ${x//...}
>
> the provided patch has been worked in:
> http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=8f151d797b015b7d1070151e75d56587a7f3652f

I think I had a good explanation in the patch file why the ${x//}
substitution did not work, but now the entire log is lost in
8f151d79. What good are the git commit messages if they're thrown away?


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#145; Package nx-libs. (Fri, 22 Mar 2013 23:48:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Fri, 22 Mar 2013 23:48:02 GMT) (full text, mbox, link).


Message #24 received at 145@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Jan Engelhardt <jengelh@inai.de>
Cc: 145@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#145: Makefile uses broken substitution
Date: Sat, 23 Mar 2013 00:44:44 +0100
[Message part 1 (text/plain, inline)]
Hi Jan,

On Fr 22 Mär 2013 22:43:56 CET Jan Engelhardt wrote:

>
> On Friday 2013-03-22 22:35, Mike Gabriel wrote:
>> On So 17 Mär 2013 13:21:38 CET Jan Engelhardt wrote:
>>
>>> Package: nx-libs
>>> Version: 3.5.0.17
>>>
>>> Can't use ${x//...}
>>
>> the provided patch has been worked in:
>> http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=8f151d797b015b7d1070151e75d56587a7f3652f
>
> I think I had a good explanation in the patch file why the ${x//}
> substitution did not work, but now the entire log is lost in
> 8f151d79. What good are the git commit messages if they're thrown away?
>

Indeed!
http://code.x2go.org/gitweb?p=nx-libs.git;a=commitdiff;h=1af59b317d4e4120d6aa82dabe401a1f78a95168

Mike


-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#145; Package nx-libs. (Sat, 23 Mar 2013 00:03:03 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 23 Mar 2013 00:03:03 GMT) (full text, mbox, link).


Message #29 received at 145@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 104@bugs.x2go.org, 107@bugs.x2go.org, 143@bugs.x2go.org, 145@bugs.x2go.org
Cc: control@bugs.x2go.org
Subject: The reported issue has been fixed in NX (redistributed) 3.5.0.18
Date: Sat, 23 Mar 2013 00:48:16 +0100
[Message part 1 (text/plain, inline)]
close #104
close #107
close #143
close #145
thanks

The reported issue has been fixed for release 3.5.0.18 of NX (redistributed).

light+love,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 23 Mar 2013 00:03:03 GMT) (full text, mbox, link).


Notification sent to Jan Engelhardt <jengelh@inai.de>:
Bug acknowledged by developer. (Sat, 23 Mar 2013 00:03:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 20 Apr 2013 05:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Dec 10 02:46:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.